# HealAchv | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class HealAchv

#### Hierarchy (view full)

- Achv
  - HealAchv

- Defined in src/system/achv.ts:114

#####
Index

### Constructors

constructor

### Properties

description
hasParent
healAmount
iconImage
id
localizationKey
name
parentId
score
secret

### Methods

getDescription
getIconImage
getName
getTier
setSecret
validate

## Constructors

### constructor

- new HealAchv(localizationKey, name, healAmount, iconImage, score): HealAchv

- #### Parameters

  - localizationKey: string
  - name: string
  - healAmount: number
  - iconImage: string
  - score: number

  #### Returns HealAchv

  Overrides Achv.constructor

  - Defined in src/system/achv.ts:117

## Properties

### description

description: string

Inherited from Achv.description

- Defined in src/system/achv.ts:22

### hasParent

hasParent: boolean

Inherited from Achv.hasParent

- Defined in src/system/achv.ts:27

### healAmount

healAmount: number

- Defined in src/system/achv.ts:115

### iconImage

iconImage: string

Inherited from Achv.iconImage

- Defined in src/system/achv.ts:23

### id

id: string

Inherited from Achv.id

- Defined in src/system/achv.ts:20

### localizationKey

localizationKey: string

Inherited from Achv.localizationKey

- Defined in src/system/achv.ts:19

### name

name: string

Inherited from Achv.name

- Defined in src/system/achv.ts:21

### parentId

parentId: string

Inherited from Achv.parentId

- Defined in src/system/achv.ts:28

### score

score: number

Inherited from Achv.score

- Defined in src/system/achv.ts:24

### secret

secret: boolean

Inherited from Achv.secret

- Defined in src/system/achv.ts:26

## Methods

### getDescription

- getDescription(): string

- #### Returns string

  Inherited from Achv.getDescription

  - Defined in src/system/achv.ts:52

### getIconImage

- getIconImage(): string

- #### Returns string

  Inherited from Achv.getIconImage

  - Defined in src/system/achv.ts:56

### getName

- getName(playerGender): string

- Get the name of the achievement based on the gender of the player

  #### Parameters

  - playerGender: PlayerGender

    the gender of the player

  #### Returns string

  the name of the achievement localized for the player gender

  Inherited from Achv.getName

  - Defined in src/system/achv.ts:46

### getTier

- getTier(): AchvTier

- #### Returns AchvTier

  Inherited from Achv.getTier

  - Defined in src/system/achv.ts:70

### setSecret

- setSecret(hasParent?): this

- #### Parameters

  - `Optional` hasParent: boolean

  #### Returns this

  Inherited from Achv.setSecret

  - Defined in src/system/achv.ts:60

### validate

- validate(scene, args): boolean

- #### Parameters

  - scene: default
  - args: any[]

  #### Returns boolean

  Inherited from Achv.validate

  - Defined in src/system/achv.ts:66